package com.usky.fire.service.enums;


import static com.usky.fire.service.enums.BsSaOneCode.*;

/**
 * @author yq
 * @date 2021/6/2 10:46
 * 基本总表-监督管理项目-第二项目类型
 */
public enum BsSaTwoCode {


    /**
     * 举报投诉检查
     */
    R_C_C("举报投诉检查","J2",SUPERVISE_EXAMINE),

    /**
     * 公众聚集场所投入使用、营业前消防安全检查
     */
    C_S("公众聚集场所投入使用、营业前消防安全检查","J1",SUPERVISE_EXAMINE),

    /**
     * 其他检查
     */
    ELSE_CHECK("其他检查","J9",SUPERVISE_EXAMINE),

    /**
     * 其他检查(复查)
     */
    ELSE_CHECK_REVIEW("其他检查(复查)","JA",SUPERVISE_EXAMINE),

    /**
     * 大型活动举办前检查
     */
    BIG_ACTIVITY_CHECK("大型活动举办前检查","J3",SUPERVISE_EXAMINE),

    /**
     * 建设工程施工工地检查
     */
    J_G_S_G_G_D_CHECK("建设工程施工工地检查","J4",SUPERVISE_EXAMINE),
    /**
     * 建设工程消防设计备案抽查
     */
    J_G_S_G_X_F("建设工程消防设计备案抽查","B0",PUT_ONE_RECORDS),
    /**
     * 建设工程消防设计备案抽查(复查)
     */
    J_G_S_G_X_F_TWO("建设工程消防设计备案抽查(复查)","B2",PUT_ONE_RECORDS),

    /**
     * 建设工程消防设计审核
     */
    J_G_S_G_AUDIT("建设工程消防设计审核","A0",A_P),

    /**
     * 建设工程消防设计审核(局部变更)
     */
    J_G_S_G_AUDIT_CHANGE("建设工程消防设计审核(局部变更)","A2",A_P),

    /**
     * 建设工程竣工消防验收
     */
    J_G_S_G_ACCPET("建设工程竣工消防验收","A1",A_P),

    /**
     * 建设工程竣工消防验收(复验)
     */
    J_G_S_G_ACCPET_TWO("建设工程竣工消防验收(复验)","A3",A_P),

    /**
     * 建设工程竣工验收消防备案抽查
     */
    J_G_S_G_Y_S_B_A("建设工程竣工验收消防备案抽查","B1",PUT_ONE_RECORDS),

    /**
     * 建设工程竣工验收消防备案抽查(复查)
     */
    J_G_S_G_Y_S_B_A_TWO("建设工程竣工验收消防备案抽查(复查)","B3",PUT_ONE_RECORDS),

    /**
     * 消防监督抽查
     */
    X_F_J_D_C_C("消防监督抽查","J0",SUPERVISE_EXAMINE),

    /**
     * 火灾事故调查(一般程序)
     */
    FIRE_SURVEY_ORDINARY("火灾事故调查(一般程序)","H1",FIRE_ACCIDENT_SURVEY),
    /**
     * 火灾事故调查(不予受理)
     */
    FIRE_SURVEY_NO("火灾事故调查(不予受理)","H9",FIRE_ACCIDENT_SURVEY),
    /**
     * 火灾事故调查(简易程序)
     */
    FIRE_SURVEY_S("火灾事故调查(简易程序)","H2",FIRE_ACCIDENT_SURVEY),

    /**
     * 申请恢复施工、使用、生产、经营的检查
     */
    APPLY_BUILD("申请恢复施工、使用、生产、经营的检查","J6",SUPERVISE_EXAMINE),
    /**
     * 申请解除临时查封的检查
     */
    APPLY_DE("申请解除临时查封的检查","J7",SUPERVISE_EXAMINE),

    /**
     * 行政处罚(火灾处罚)
     */
    PUNISH_FIRE("行政处罚(火灾处罚)","C2",CASE_MANAGE),

    /**
     * 行政处罚(违章处罚)
     */
    PUNISH_WZ("行政处罚(违章处罚)","C1",CASE_MANAGE),

    /**
     * 责令限期改正复查
     */
    ORDER_LIMIT_CHANGE("责令限期改正复查","J5",SUPERVISE_EXAMINE);


    private String value;

    private String letter;

    private BsSaOneCode bsSaOneCode;

    BsSaTwoCode(String value, String letter, BsSaOneCode bsSaOneCode){
        this.value = value;
        this.letter = letter;
        this.bsSaOneCode = bsSaOneCode;
    }

    public String getValue(){
        return value;
    }

    public String getLetter(){
        return letter;
    }

    public BsSaOneCode getBsSaOneCode(){
        return bsSaOneCode;
    }

}
